Name:           skanlite
Version:        23.08.4
Release:    1%{?dist}
Summary:        Lightweight scanning program
License:        GPL-2.0-only OR GPL-3.0-only
URL:            https://www.kde.org/applications/graphics/%{name}/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  libpng-devel
BuildRequires:  qt5-qtbase-devel

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Sane)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KSaneCore)

Requires:       kde-filesystem


%description
Skanlite is a light-weight scanning application based on libksane.


%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install
%find_lang %{name} --all-name --with-html
install -Dpm 0644 hotkeys_and_scripts/%{name}.khotkeys %{buildroot}%{_kf5_datadir}/khotkeys/%{name}.khotkeys
install -Dpm 0644 logo.png %{buildroot}%{_kf5_datadir}/icons/hicolor/128x128/apps/%{name}.png


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/org.kde.%{name}.appdata.xml


%files -f %{name}.lang
%license LICENSES
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_kf5_datadir}/icons/hicolor/48x48/apps/org.kde.skanlite.svg
%dir %{_kf5_datadir}/khotkeys
%{_kf5_datadir}/khotkeys/%{name}.khotkeys
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
